import { AxiosPromise } from "axios";
import request from "../request";

class CashOut {
  /**
   * 查询收益列表
   * @returns
   */
  extensionIncomeList(): AxiosPromise<CashOutType.extensionIncomeListRes> {
    return request("/student/extension/income/extensionIncomeList");
  }

  extensionIncomePrice(): AxiosPromise<CashOutType.extensionIncomePriceRes> {
    return request("/student/extension/income/extensionIncomePrice");
  }
}

export const cashOut = new CashOut();
